summaryrefslogtreecommitdiff
path: root/tests/xfs/154
diff options
context:
space:
mode:
Diffstat (limited to 'tests/xfs/154')
-rwxr-xr-xtests/xfs/15456
1 files changed, 56 insertions, 0 deletions
diff --git a/tests/xfs/154 b/tests/xfs/154
new file mode 100755
index 00000000..62e79c21
--- /dev/null
+++ b/tests/xfs/154
@@ -0,0 +1,56 @@
+#! /bin/bash
+# FSQA Test No. 154
+#
+# Get DMAPI filesystem handle
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2006 Silicon Graphics, Inc. All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+#
+#-----------------------------------------------------------------------
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1 # failure is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+_cleanup()
+{
+ _cleanup_testdir
+}
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+. ./common.dmapi
+
+# real QA test starts here
+_supported_fs xfs
+_supported_os Linux IRIX
+
+_require_scratch
+_scratch_mkfs_xfs >/dev/null 2>&1
+_dmapi_scratch_mount
+
+DMAPI_FS_HANDLE="`${DMAPI_QASUITE1_DIR}cmd/path_to_fshandle $SCRATCH_MNT`"
+
+${DMAPI_QASUITE1_DIR}cmd/get_config_events $DMAPI_FS_HANDLE
+
+status=0
+exit